We hope you'll join us for our 4/23 webinar on using data tables to apply reference ranges and AE codes in OC4. For more information and to register, visit https://register.gotowebinar.com/register/2882170018956684555

Connecting to LocalHost:8080

Hi!

I installed Java SE 7, Tomcat, PostgreSQL, etc. per the instructions on this link:

https://github.com/OpenClinica/OpenClinica/wiki/Install-OpenClinica-3.4-on-Windows#A2

I couldn't access OpenClinica after configuring Tomcat. So I uninstalled all the programs
and repeated the steps in the above link.

However, when I tried to access OpenClinica again I couldn't reach the OpenClinica App, and this error popped on:

This site can’t be reached localhost refused to connect.
Did you mean http://localhost-8080.com/?
Search Google for localhost 8080
ERR_CONNECTION_REFUSED

So then I opened up Catalina log to see this error:

Feb 11, 2019 3:10:16 AM org.apache.catalina.core.StandardContext startInternal
SEVERE: One or more listeners failed to start. Full details will be found in the appropriate container log file

After that, I opened up localhost log to see this 'severe' error in regards to an 'app listener':

Feb 11, 2019 3:10:16 AM org.apache.catalina.core.StandardContext listenerStart
SEVERE: Error configuring application listener of class org.akaza.openclinica.dao.core.OCContextLoaderListener
java.lang.UnsupportedClassVersionError: org/akaza/openclinica/dao/core/OCContextLoaderListener : Unsupported major.minor version 51.0 (unable to load class org.akaza.openclinica.dao.core.OCContextLoaderListener)
at org.apache.catalina.loader.WebappClassLoaderBase.findClassInternal

Does anyone know how to solve this?

Thank you so much for all your help :smiley:

Comments

  • haenselhaensel Posts: 602 ✭✭✭
    Hi ...

    1. Which version of OC are you using?
    2. Did you use the version from the download package or did you compiled it yourself?
    3. Do you have more then one java version installed (e.g. Java 6 and 7)?

    Regards,
    Christian
  • wirileiftllcwirileiftllc Posts: 5
    Thank you so much Christian for your reply!

    1. Download the zip file of OpenClinica 3.14 directly from the download package.
    2. Didn't compile myself.
    3. Java 7 only!

  • wirileiftllcwirileiftllc Posts: 5
    Hi Christian!!

    I ended up deleted all my files and downloaded Java 8 SE, OC 3.14, PostgreSQL 9.5, and Tomcat 8.5.

    Used this link:



    And I finally got OC up and running :smiley: !

    Thank you for all your help though - I appreciate it a lot.

    Dimple Patel

  • haenselhaensel Posts: 602 ✭✭✭
    Good to hear that you made it finally working. Although the previous configuration should work too.
  • wirileiftllcwirileiftllc Posts: 5
    Thank you for your help.

    Has anyone ran into trouble logging onto localhost:8080/OpenClinica during subsequent uses after install? I forgot the password that I changed for root / 12345678, and I am not sure how to reset my user information. Thank you.
  • GerbenRienkGerbenRienk Posts: 803 ✭✭✭
  • wirileiftllcwirileiftllc Posts: 5
    It worked!!! Thank you so much for all your help :smiley:
Sign In or Register to comment.